[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

emacs-24.3 + emacspeak-39.0



Hi: I've been a happy and productive user of emacs-23.3 and emacspeak
37.0 for a while now. I want to bite the bullet and update to the
latest stable emacs + emacspeak versions. I've successfully built
emacs 24.3 from source but I'm having trouble building and running
emacspeak-39.0. I wondered if I might get some help.

OS is stock Vinux 4.0
Emacs version 24.3 built from source
Emacspeak  version  39.0

The first problem I have is with building emacspeak:

emacspeak-webutils.el:56:1:Error: Symbol's function definition is
void: cl-proclaim

If I ignore this error and plow on (perhaps unwisely) with 'make -k',
then run the result, I have the following problems:

Cursor up and down speaks the whole line, but cursor left or right
doesn't speak the character under the cursor. 

Meta  cursor left/right doesn't speak the word under the cursor.

c-c Home goes home but doesn't speak the 1st line of the buffer.

c-c End goes to the end of the buffer but doesn't sound the audio
icon.

A number of other audio icons seem to be missing, ie after a c-g.

Incidentally, emacspeak-version  in  emacspeak-setup.el is stuck at
38.0.


Thanks for any help you can give.










-- 
Les Smithson

-----------------------------------------------------------------------------
To unsubscribe from the emacspeak list or change your address on the
emacspeak list send mail to "emacspeak-request@cs.vassar.edu" with a
subject of "unsubscribe" or "help".



If you have questions about this archive or had problems using it, please send mail to:

priestdo@cs.vassar.edu No Soliciting!

Emacspeak List Archive | 2010 | 2009 | 2008 | 2007 | 2006 | 2005 | 2004 | 2003 | 2002 | 2001 | 2000 | 1999 | 1998 | Pre 1998

Emacspeak Files | Emacspeak Blog | Search the archive